Package com.mckoi.database.interpret

## Class SQLQueryExecutor

- java.lang.Object
- - com.mckoi.database.interpret.SQLQueryExecutor

    public class SQLQueryExecutor
    extends java.lang.Object

An object used to execute SQL queries against a given DatabaseConnection object. The object maintains an SQL parser object as state which is reused as necessary.

This object is a convenient way to execute SQL queries.

Author:
  Tobias Downer

### Constructor Summary

Constructors
`SQLQueryExecutor()` Constructs the executor.

### Method Summary

All Methods Instance Methods Concrete Methods
`Table` `execute​(DatabaseConnection connection, SQLQuery query)` Executes the given SQLQuery object on the given DatabaseConnection object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SQLQueryExecutor

    public SQLQueryExecutor()

Constructs the executor.

### Method Detail

#### execute

    public Table execute​(DatabaseConnection connection,
                         SQLQuery query)
                  throws java.sql.SQLException,
                         DatabaseException,
                         TransactionException,
                         ParseException

Executes the given SQLQuery object on the given DatabaseConnection object. Returns a Table object that contains the result of the execution.

Note that this method does not perform any locking. Any locking must have happened before this method is called.

Also note that the returned Table object is onld valid within the life-time of the lock unless the root lock requirements are satisified.

Throws:
  `java.sql.SQLException`
  `DatabaseException`
  `TransactionException`
  `ParseException`